Subject: [mpls] Fwd: New Version Notification for draft-mirsky-mpls-p2mp-bfd-07.txt

From: Greg Mirsky <[email-masked]>
Date: Wed, 5 Jun 2019 13:40:52 -0700

Dear All,
the new version includes updates:

   - request for the allocation of a new G-ACh type "Multipoint BFD Session"
   - an extended explanation for the use of non-IP encapsulation of BFD
   control packet in multipoint BFD session over MPLS LSP
   - updated references to RFC 8562 BFD for Multipoint Networks

Hope it helps to get WG AP decision.

Regards,
Greg

---------- Forwarded message ---------
From: <[email-masked]>
Date: Tue, Jun 4, 2019 at 6:19 PM
Subject: New Version Notification for draft-mirsky-mpls-p2mp-bfd-07.txt
To: Gregory Mirsky <[email-masked]>

A new version of I-D, draft-mirsky-mpls-p2mp-bfd-07.txt
has been successfully submitted by Greg Mirsky and posted to the
IETF repository.

Name:           draft-mirsky-mpls-p2mp-bfd
Revision:       07
Title:          BFD for Multipoint Networks over Point-to-Multi-Point MPLS
LSP
Document date:  2019-06-04
Group:          mpls
Pages:          8
URL:
https://www.ietf.org/internet-drafts/draft-mirsky-mpls-p2mp-bfd-07.txt
Status:         https://datatracker.ietf.org/doc/draft-mirsky-mpls-p2mp-bfd/
Htmlized:       https://tools.ietf.org/html/draft-mirsky-mpls-p2mp-bfd-07
Htmlized:
https://datatracker.ietf.org/doc/html/draft-mirsky-mpls-p2mp-bfd
Diff:
https://www.ietf.org/rfcdiff?url2=draft-mirsky-mpls-p2mp-bfd-07

Abstract:
   This document describes procedures for using Bidirectional Forwarding
   Detection (BFD) for multipoint networks to detect data plane failures
   in Multiprotocol Label Switching (MPLS) point-to-multipoint (p2mp)
   Label Switched Paths (LSPs).  It also describes the applicability of
   LSP Ping, as in-band, and the control plane, as out-band, solutions
   to bootstrap a BFD session in this environment.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 10 Jun 2019 05:10:08 +0000

Hello,

I’ve not looked at this whole document, but this email triggered me to check the encapsulation of BFD. So, while not commenting on the value of this document, I do have two questions: one on the encapsulation, one on the proposed new TLV.

The IP BFD encapsulation described here is the same for p2p and for multipoint, based on RFC 8562 and Section 3.1 of this doc, using destination UDP port 3784.

However, Section 3.2 requests a new G-ACh Channel Type (see Section 3.1) for “Multipoint BFD Session”, different than BFD over G-ACh as per RFC 5885.

Why this difference? What is the reason to have to differentiate with a new Channel Type?

Also, the “CC/CV MEP-ID TLV” is specified in RFC 6428, which is scoped to MPLS-TP. See also the scope in RFC 7276, defining usage of BFD in MPLS-TP. How is that proposed to be used for MPLS?

Best,

Carlos.

On Jun 5, 2019, at 4:40 PM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,

  *   request for the allocation of a new G-ACh type "Multipoint BFD Session"
  *   an extended explanation for the use of non-IP encapsulation of BFD control packet in multipoint BFD session over MPLS LSP
  *   updated references to RFC 8562 BFD for Multipoint Networks

Regards,
Greg

---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Tue, Jun 4, 2019 at 6:19 PM
Subject: New Version Notification for draft-mirsky-mpls-p2mp-bfd-07.txt
To: Gregory Mirsky <[email-masked]<mailto:[email-masked]>>

Name:           draft-mirsky-mpls-p2mp-bfd
Revision:       07
Title:          BFD for Multipoint Networks over Point-to-Multi-Point MPLS LSP
Document date:  2019-06-04
Group:          mpls
Pages:          8
URL:            https://www.ietf.org/internet-drafts/draft-mirsky-mpls-p2mp-bfd-07.txt
Status:         https://datatracker.ietf.org/doc/draft-mirsky-mpls-p2mp-bfd/
Htmlized:       https://tools.ietf.org/html/draft-mirsky-mpls-p2mp-bfd-07
Htmlized:       https://datatracker.ietf.org/doc/html/draft-mirsky-mpls-p2mp-bfd
Diff:           https://www.ietf.org/rfcdiff?url2=draft-mirsky-mpls-p2mp-bfd-07

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

The IETF Secretariat

_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls